org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.util

## Class VirtualFireAlarmUtilConstants

- java.lang.Object
- - org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.util.VirtualFireAlarmUtilConstants

-     public class VirtualFireAlarmUtilConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `API_APPLICATION_KEY`
    `static String` | `APIM_EP`
    `static String` | `DEVICE_ID`
    `static String` | `DEVICE_NAME`
    `static String` | `DEVICE_OWNER`
    `static String` | `DEVICE_REFRESH_TOKEN`
    `static String` | `DEVICE_TOKEN`
    `static String` | `HTTP_EP`
    `static String` | `HTTPS_EP`
    `static String` | `MQTT_EP`
    `static String` | `SERVER_JID`
    `static String` | `SERVER_NAME`
    `static String` | `TENANT_DOMAIN`
    `static String` | `VIRTUAL_FIREALARM_APIM_EP`
    `static String` | `VIRTUAL_FIREALARM_HTTP_EP`
    `static String` | `VIRTUAL_FIREALARM_HTTPS_EP`
    `static String` | `VIRTUAL_FIREALARM_MQTT_EP`
    `static String` | `VIRTUAL_FIREALARM_XMPP_EP`
    `static String` | `XMPP_EP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualFireAlarmUtilConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TENANT_DOMAIN

          public static final String TENANT_DOMAIN

      See Also:
        Constant Field Values

    - #### DEVICE_OWNER

          public static final String DEVICE_OWNER

      See Also:
        Constant Field Values

    - #### DEVICE_ID

          public static final String DEVICE_ID

      See Also:
        Constant Field Values

    - #### DEVICE_NAME

          public static final String DEVICE_NAME

      See Also:
        Constant Field Values

    - #### HTTPS_EP

          public static final String HTTPS_EP

      See Also:
        Constant Field Values

    - #### HTTP_EP

          public static final String HTTP_EP

      See Also:
        Constant Field Values

    - #### APIM_EP

          public static final String APIM_EP

      See Also:
        Constant Field Values

    - #### MQTT_EP

          public static final String MQTT_EP

      See Also:
        Constant Field Values

    - #### XMPP_EP

          public static final String XMPP_EP

      See Also:
        Constant Field Values

    - #### VIRTUAL_FIREALARM_HTTPS_EP

          public static final String VIRTUAL_FIREALARM_HTTPS_EP

      See Also:
        Constant Field Values

    - #### VIRTUAL_FIREALARM_HTTP_EP

          public static final String VIRTUAL_FIREALARM_HTTP_EP

      See Also:
        Constant Field Values

    - #### VIRTUAL_FIREALARM_APIM_EP

          public static final String VIRTUAL_FIREALARM_APIM_EP

      See Also:
        Constant Field Values

    - #### VIRTUAL_FIREALARM_MQTT_EP

          public static final String VIRTUAL_FIREALARM_MQTT_EP

      See Also:
        Constant Field Values

    - #### VIRTUAL_FIREALARM_XMPP_EP

          public static final String VIRTUAL_FIREALARM_XMPP_EP

      See Also:
        Constant Field Values

    - #### API_APPLICATION_KEY

          public static final String API_APPLICATION_KEY

      See Also:
        Constant Field Values

    - #### DEVICE_TOKEN

          public static final String DEVICE_TOKEN

      See Also:
        Constant Field Values

    - #### DEVICE_REFRESH_TOKEN

          public static final String DEVICE_REFRESH_TOKEN

      See Also:
        Constant Field Values

    - #### SERVER_NAME

          public static final String SERVER_NAME

      See Also:
        Constant Field Values

    - #### SERVER_JID

          public static final String SERVER_JID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VirtualFireAlarmUtilConstants

          public VirtualFireAlarmUtilConstants()

Copyright © 2017 WSO2. All rights reserved.